Đến nội dung


Hình ảnh
- - - - -

<Nhờ Giúp Đỡ> Đếm Dynamic Block Blkqty (Bác Gia_Bach)


  • Please log in to reply
3 replies to this topic

#1 OceanLegend

OceanLegend

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 14 September 2015 - 04:37 PM

Hi các bác,

 

Em đang sử dụng lisp BLKQTY của bác Gia Bach để đếm dynamic block, tuy nhiên khi dùng lisp này đếm dynamic block thì nó hiểu sai.

Với mỗi loại kích thước, chiều quay riêng của block, nó đều đếm là 1 block mới, và tên block thì mặc định thay đổi.

http://www.cadviet.c...1360_blkqty.dwg

Có cách nào để nó vẫn hiểu đó vẫn chỉ là 1 block và tên block vẫn không đổi không các bác.

Mong được các bác giúp đỡ.


  • -1

#2 Đình Thụ

Đình Thụ

    biết lệnh offset

  • Members
  • PipPipPip
  • 171 Bài viết
Điểm đánh giá: 35 (tàm tạm)

Đã gửi 14 September 2015 - 05:01 PM

dùng select similar ==> delete 1 phát ra luôn


  • 0

#3 quocmanh04tt

quocmanh04tt

    biết lệnh imageclip

  • Members
  • PipPipPipPipPipPipPip
  • 673 Bài viết
Điểm đánh giá: 315 (khá)

Đã gửi 14 September 2015 - 05:02 PM

>>> Trong lisp:

Bạn tìm dòng này:

(setq blk_name (vla-get-name (vlax-Ename->Vla-Object ent)))

Thay thế bằng cả cụm này:

(if (not (setq blk_name (vlax-get (vlax-Ename->Vla-Object ent) 'Effectivename))) (setq blk_name (vla-get-name (vlax-Ename->Vla-Object ent))))


  • 0

#4 OceanLegend

OceanLegend

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 15 September 2015 - 10:54 AM

Cám ơn bác quocmanh04tt nhiều nhé. Mình làm được rồi

 
  • 0